import requests
import pprint
import json
import re

def GetResponse(html_url):
    headers={
        'referer':'https://www.bilibili.com/',
        'user-agent':'Requested-With,If-Modified-Since,Pragma,Last-Modified,Cache-Control,Expires,Content-Type,Access-Control-Allow-Credentials,DNT,X-CustomHeader,Keep-Alive,User-Agent,X-Cache-Webcdn,X-Bilibili-Key-Real-Ip,X-Upos-Auth,Range'
    }
    response = requests.get(url=html_url,headers=headers)
    return response

def GetAudio(html_url):
    response=GetResponse(html_url)
    html_data=re.findall('<script>window.__playinfo__=(.*?)</script>',response.text)[0]
    json_data=json.loads(html_data)
    audio_url=json_data['data']['dash']['audio'][0]['baseUrl']
    return audio_url

def SaveAudio(audio_url):
    audio_content=GetResponse(audio_url).content
    with open(r'GetAudio\audio_reserve\audio.wav','wb') as file:
        file.write(audio_content)
    print("successfully saved audio.wav!")

def GetAudioText():
    url=input("请输入视频网页地址：")
    audio_url=GetAudio(url)
    SaveAudio(audio_url)