import requests
from moviepy.editor import VideoFileClip
import time
def GetShuiShanAudio(download_url,
                    video_path=r'GetAudio\audio_reserve\audio.mp4',wav_path=r'GetAudio\audio_reserve\audio.wav',
                    audio_path=r'GetAudio\audio_reserve\audio.wav'):
    # 发起GET请求来获取文件内容
    response = requests.get(download_url, stream=True)

    if response.status_code == 200:
        with open(video_path, 'wb') as file:
            for chunk in response.iter_content(chunk_size=8192):
                file.write(chunk)
        print(f'文件已下载到 {video_path}')
    else:
        print('下载失败，状态码:', response.status_code)
        return
    video_to_clip=VideoFileClip(video_path)
    audio=video_to_clip.audio
    audio.write_audiofile(audio_path)
    video_to_clip.close()
    audio.close()
    print('音频已提取并保存为 {audio_path}')
if __name__=="__main__":
    download_url="https://rl.shuishan.net.cn/e3504f4984e04257a674b97850d6a96a/9e78e682800244e3ba3c6bd58cd73d3b-b5d5e252fc30a661b896252285f0d6f0-ld.mp4"
    time_1=time.time()
    GetShuiShanAudio(download_url)
    time_2=time.time()
    print(f"总耗时：{time_2-time_1}秒")