from newSql import *

#text为前端传回的词语
text = "关键词"



#############################插入测试数据#########################################

# 要插入的数据
traffic_data = [354, 225, 179, 166, 168, 160, 126, 85, 84, 82, 83, 85, 92, 78, 81, 80, 75, 75, 77, 81, 99, 117, 147, 151, 150, 151, 150, 154, 135, 140, 135, 123, 85, 47, 36, 41, 32, 47, 38, 37, 36, 62, 75, 61, 60, 61, 60, 56, 35, 32, 35, 81, 78, 75, 76, 76, 75, 68, 73, 75, 75, 75, 66, 52, 33, 30, 30, 33, 47, 45, 45, 45, 45, 45, 45, 46, 45, 46, 45, 46, 45, 45, 55, 60, 60, 45, 45, 46, 45, 45, 45, 45, 41, 38, 45, 45, 45, 45, 47, 45]

create_video_traffic_table('video1234')
# 插入数据
insert_traffic_data('video1234', traffic_data)
# 调用函数
inject_videos_and_link_to_course("分布式")

inject_json_data_to_database()

insert_data(
    Course,
    {
        "course_id": "course1234",
        "repository_url": "https://example.com/repo1234"
    }
)

#将视频标题更新为title+id
update_video_titles()

# # 调用函数展示不同表格的内容
# display_table_info('CourseVideo')
# display_table_info('Video')
# display_table_info('Course')
# display_table_info('video_traffic_video1234')

word_input = "关键词"
word_input2 = "高频词"
url_input = "20231102212609"
url_input2 = "20231103003532"

update_phrase(word_input,url_input)
update_phrase(word_input,url_input2)
update_phrase(word_input2,url_input)
update_phrase(word_input2,url_input2)

# display_table_info('phrases')
################################################################################



###########################主体函数##############################################
def user_search(text_input):
    result_url_list = search_phrase(text_input)
    print("search result:",result_url_list)
    print("")

    for tar_url in result_url_list:
        result = get_video_info_by_url(tar_url)

        if result:
            print(f"标题: {result['title']}")
            print(f"Tree JSON: {result['tree_json']}")
            print("")
        else:
            print(f"未找到与URL '{url_input}' 相关的视频信息。")
################################################################################

user_search(text)



#调用函数以清除不同表格内的数据
clear_table('CourseVideo')
clear_table('Video')
clear_table('Course')
clear_table('video_traffic_video1234')

session.query(Phrase).delete()
session.commit()